# Deprecated API

## Contents

- Classes
- Methods
- Constructors

Deprecated Classes
Class
Description
com.fasterxml.jackson.datatype.jsr310.deser.key.YearMothKeyDeserializer
Due to typo in class name use `YearMonthKeyDeserializer` instead.
com.fasterxml.jackson.datatype.jsr310.JSR310Module
Replaced by `JavaTimeModule` since Jackson 2.7, see above for details on differences in the default configuration.
com.fasterxml.jackson.datatype.jsr310.ser.key.Jsr310NullKeySerializer
com.fasterxml.jackson.datatype.jsr310.ser.ZonedDateTimeWithZoneIdSerializer
Since 2.8 only used by deprecated `JSR310Module`

Deprecated Methods
Method
Description
com.fasterxml.jackson.datatype.jdk8.Jdk8Module.configureAbsentsAsNulls(boolean)
Since 2.13, no replacement, will be removed from Jackson 3.0 (when optional types will be part of core databind)
com.fasterxml.jackson.datatype.jsr310.DecimalUtils.extractNanosecondDecimal(BigDecimal, long)
due to potential unbounded latency on some JRE releases.
com.fasterxml.jackson.datatype.jsr310.ser.ZonedDateTimeSerializer.withFeatures(Boolean)

Deprecated Constructors
Constructor
Description
com.fasterxml.jackson.datatype.jsr310.ser.InstantSerializer(InstantSerializer, Boolean, DateTimeFormatter)
com.fasterxml.jackson.datatype.jsr310.ser.OffsetDateTimeSerializer(OffsetDateTimeSerializer, Boolean, DateTimeFormatter)
com.fasterxml.jackson.datatype.jsr310.ser.ZonedDateTimeSerializer(ZonedDateTimeSerializer, Boolean, Boolean, DateTimeFormatter, Boolean)